Skip to main content
GET
/
v5
/
templates
/
revenue
/
rules
Get revenue rule templates
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/templates/revenue/rules \
  --header 'Authorization: Bearer <token>'
[
  {
    "autoClassify": "OFF",
    "businessName": "<string>",
    "status": "ACTIVE",
    "matchType": "EXACT_NAME",
    "id": 123,
    "revenueAccountName": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

autoClassify
enum<string>
required

How to classify revenue that meet this rule

Available options:
OFF,
BUSINESS,
NOT_BUSINESS
businessName
string
required

Name used to match revenue to this rule

status
enum<string>
required

Status of this rule

Available options:
ACTIVE,
INACTIVE
matchType
enum<string>
required

How to match revenue with this rule

Available options:
EXACT_NAME,
NON_EXACT_NAME
id
integer<int64>

Id of the rule

revenueAccountName
string

Name of the account this rule associates revenue with, referencing an account in the chart of accounts